#### D.15.3.30 chWedge2L

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chWedge2L(r, c ); r integer, c list of polynomials

Return:
  list of polynomials

Purpose:
  computes the Chern classes of the second exterior power of a vector bundle

Note:
  Implementation of the formula of Lascoux, the Schur polynomials are computed using the second Jacobi-Trudi formula (in terms of the Chern classes)

Example:

    LIB "chern.lib";
    ring r=0, (c(1..3)), dp;
    list l=c(1..3);
    // the Chern classes of the second exterior power of a vector bundle of rank 3
    print(chWedge2L(3, l));
    ==> [1]:
    ==>    3
    ==> [2]:
    ==>    [1]:
    ==>       2*c(1)
    ==>    [2]:
    ==>       c(1)^2+c(2)
    ==>    [3]:
    ==>       c(1)*c(2)-c(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.